Bug 16431 - RFE: dhcpd initscript does not allow one to specify the interface to be served
RFE: dhcpd initscript does not allow one to specify the interface to be served
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: dhcp (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-17 09:22 EDT by David Lawrence
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-16 09:30:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Tattersall 2000-08-17 09:22:07 EDT
The current initscript for dhcpd does not allow one to specify the
interface or interfaces over which the addresses are to be served.  When
used in a gateway configuration with two interfaces, only one of which is
on the internal network, one has to edit the initscript to specify that
address are only served on eth1 for instance.

Second, one must touch /var/lock/subsys/dhcpd.leases, before dhcpd can
start.  Shouldn't this be done at install time?
Comment 1 R P Herrold 2001-01-02 14:18:59 EST
Per discussion over the weekend on the Beta-tester's list, add a file:

/etc/sysconfig/dhcp

and source it in the dhcp initscript, to allow, eg, 

OPTIONS=" eth1 " 

which is passed to the start) option thus:

    daemon /usr/sbin/dhcpd  $OPTIONS

-------------------

Also requires documentation addon in the print docs ...    

In the instant example, this allows limiting the DHCP process to listen for
assignment requests only on the 'interior' eth1 interface.   Useful (and indeed
the patch I use) with a cable-modem environment

... avoids tampering with the initscript itself.


Comment 2 Chris Adams 2001-05-09 11:36:45 EDT
Somehow this apparently got missed.  Seawolf still doesn't have (or the init
script handle) an /etc/sysconfig/dhcp file.  Virtually every other service that
takes command line options has this.
Comment 3 R P Herrold 2001-05-14 23:59:40 EDT
Hello /// anyone there?  This is still in 'New' status 9 months after initial
submissina, and although re-commented 3 months before Seawolf gold, still
unassigned.
Comment 4 Elliot Lee 2001-07-19 17:58:47 EDT
Apologies for the unresponsiveness of the previous dhcpd packager...

This is fixed in my dhcp package by a /etc/sysconfig/dhcpd file.

Note You need to log in before you can comment on or make changes to this bug.